Upstream information

CVE-2009-0887 at MITRE

Description

Integer signedness error in the _pam_StrTok function in libpam/pam_misc.c in Linux-PAM (aka pam) 1.0.3 and earlier, when a configuration file contains non-ASCII usernames, might allow remote attackers to cause a denial of service, and might allow remote authenticated users to obtain login access with a different user's non-ASCII username, via a login attempt.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.6
Vector AV:L/AC:M/Au:S/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 482713 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • pam >= 1.0.4-0.5.12
  • pam-32bit >= 1.0.4-0.5.12
  • pam-doc >= 1.0.4-0.5.12
  • pam-x86 >= 1.0.4-0.5.12
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA pam
SUSE Linux Enterprise Server 11 SP2
  • pam >= 1.1.5-0.10.17
  • pam-32bit >= 1.1.5-0.10.17
  • pam-doc >= 1.1.5-0.10.17
  • pam-x86 >= 1.1.5-0.10.17
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA pam
SUSE Linux Enterprise Server 11 SP3
  • pam >= 1.1.5-0.10.17
  • pam-32bit >= 1.1.5-0.10.17
  • pam-doc >= 1.1.5-0.10.17
  • pam-x86 >= 1.1.5-0.10.17
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA pam
SUSE Linux Enterprise Server 11 SP4
  • pam >= 1.1.5-0.15.9
  • pam-32bit >= 1.1.5-0.15.9
  • pam-doc >= 1.1.5-0.15.9
  • pam-x86 >= 1.1.5-0.15.9
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA pam
SUSE Linux Enterprise Software Development Kit 11 SP4
  • pam-devel >= 1.1.5-0.15.9
  • pam-devel-32bit >= 1.1.5-0.15.9
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA pam-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA pam Affected
SUSE Linux Enterprise SDK 11 GA pam Affected
SUSE Linux Enterprise Server 11 GA pam Affected